> For the complete documentation index, see [llms.txt](https://docs.kaiko.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kaiko.com/kaiko-indices/indices/reference-data.md).

# Reference data

### What is this endpoint for?

This endpoint returns a list of all our public multi-asset Indices, including extensive and abbreviated naming conventions, index classifications, and publication frequencies.

### Endpoint

```
https://us.market-api.kaiko.io/v2/data/index_reference_data.v1/indices
```

### Request parameters

No parameters supported

### Response Fields

| Field                   | Description                                                                      |
| ----------------------- | -------------------------------------------------------------------------------- |
| `ticker`                | The ticker of the index                                                          |
| `index_display_name`    | Display name format of the index                                                 |
| `index_long_name`       | Extensive name format of the index issued                                        |
| `index_short_name`      | Short name format of the index issued                                            |
| `brand`                 | Qualifies if the index is issued from a partnership or from Kaiko standard offer |
| `variant_name`          | Index variant designation                                                        |
| `family`                | Index family classification                                                      |
| `universe`              | Index universe                                                                   |
| `rebalancing_frequency` | Frequency at which the index composition is rebalanced                           |
| `dissemination`         | Frequency of publication of the index                                            |
| `exposition`            | `"Public"` : Indicates that it is open reference data accessible to all users.   |
| `isin`                  | The ISIN code of the index                                                       |
| `launch_date`           | Date when the index was launched and entered into production.                    |
| `inception_date`        | Earliest effective date of historical data for an index.                         |

### Request example

{% tabs %}
{% tab title="cURL" %}
{% code overflow="wrap" %}

```url
curl --compressed -H 'Accept: application/json' 'https://us.market-api.kaiko.io/v2/data/index_reference_data.v1/indices'
```

{% endcode %}
{% endtab %}
{% endtabs %}

### Response example

{% tabs %}
{% tab title="JSON" %}
{% code fullWidth="false" %}

```json
{
  "query": {
    "data_version": "v1",
    "commodity": "indices"
  },
  "time": "2026-06-10T09:30:00.000Z",
  "timestamp": 1781170200000,
  "data": [
    {
      "ticker": "KT10",
      "index_display_name": "Kaiko 10 Index",
      "index_long_name": "Kaiko Top 10 Investable Index Real-Time (5s)",
      "index_short_name": "Kaiko Top 10 Index",
      "brand": "Kaiko",
      "variant_name": "Top 10",
      "family": "Blue-chip",
      "universe": "Investable",
      "rebalancing_frequency": "Quarterly",
      "dissemination": "Real-Time (5s)",
      "exposition": "Public",
      "isin": "FR001400LXX0",
      "launch_date": "2023-10-17",
      "inception_date": "2019-04-01"
    }
  ],
  "result": "success"
}
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.kaiko.com/kaiko-indices/indices/reference-data.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
